It is proper and praiseworthy to remain vigilant for new quests. Is not your ultimate purpose to fight for the good of all Elvenkind? I will tell you of all the quests I know of for Fighters at your level. However, there may be others that I have not heard of; speak to the other villagers as well, to discover their needs.
I can tell you that there are one-time quests that you may only complete once, but also repetitive quests that may be undertaken several times.
I want to know more about the quests
Return